// Function Prototypes

void PLLSetupBF(void);
void PortMuxingBF(void);
void SetUpInterruptsBF(void);
void MMCInit(void);
void SetUpDMATransmit(int NumberOfWords);
void SetUpDMAReceive(int NumberOfWords);
void SetUpAndEnablePPITransmit(int NumberOfWords);
void SetUpAndEnablePPIReceive(void);
void SetUpCommandArray(int Command, int value);
void SetUpTransmitData(void);
void SendCommand(int Command, int value);
void ReceiveResponse(int Type);
void SetUpClockSD(int NumberOfCycles);
void SetUpClockBF(int NumberOfCycles);
void SetUpClockBFReceive(int NumberOfCycles);
void SetUpClock(int NumberOfCycles);
void SetUpClockRx(int NumberOfCycles);
void SetUpClockSDContinuous(void);
void SetUpClockSDPulse(void);
void SetUpClockBFContinuous(void);
void SetupPFpin(void);
void SetupPFInterrupt(void);
void DisablePPITransmit(void);
void DisablePPIReceive(void);
void ExtractResponse(int Type);
void ExtractData(void);
void ExtractData2(void);
void SingleBlockWrite(void);
void SingleBlockRead(void);
void MultipleBlockRead(void);
void SetUpDMADataTransmit(int NumberOfWords);
void SetUpDMADataReceive(int NumberOfWords);
void SetUpDMAMultiReceive(int NumberOfWords);
void ExtractRData(void);
void ExtractMultiData(void);
void StartCyclesCounter(void);
void StopCyclesCounter(void);
void CardDetection(void);


EX_INTERRUPT_HANDLER (MMCIsr);
EX_INTERRUPT_HANDLER (PFIsr);
EX_INTERRUPT_HANDLER (CDIsr);


